<?php
# Lifter007: TODO
# Lifter003: TODO
# Lifter010: TODO
/*
logout.php - Ausloggen aus Stud.IP und aufräumen
Copyright (C) 2000 Stefan Suchi <suchi@gmx.de>, André Noack <andre.noack@gmx.net>,
Cornelis Kater <ckater@gwdg.de>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


require '../lib/bootstrap.php';

page_open(["sess" => "Seminar_Session", "auth" => "Seminar_Default_Auth", "perm" => "Seminar_Perm", "user" => "Seminar_User"]);

require_once 'lib/messaging.inc.php';

// Redirect to index page if request is not a post request or logout ticket is
// missing
if (
    !Request::isPost()
    && !(
        isset($_SESSION['logout_ticket'])
        && check_ticket($_SESSION['logout_ticket'])
    )
) {
    header('Location: ' . URLHelper::getURL('index.php'));
    page_close();
    die;
}

//nur wenn wir angemeldet sind sollten wir dies tun!
if ($auth->auth['uid'] !== 'nobody') {
    $my_messaging_settings = $GLOBALS['user']->cfg->MESSAGING_SETTINGS;

    //Wenn Option dafuer gewaehlt, alle ungelsesenen Nachrichten als gelesen speichern
    if ($my_messaging_settings["logout_markreaded"]) {
        Message::markAllAs();
    }

    $logout_user = $user->id;
    $_language = $_SESSION['_language'];
    $contrast = UserConfig::get($GLOBALS['user']->id)->USER_HIGH_CONTRAST;

    // Get auth plugin of user before logging out since the $auth object will
    // be modified by the logout
    $auth_plugin = StudipAuthAbstract::getInstance($auth->auth['auth_plugin']);

    //Logout aus dem Sessionmanagement
    $auth->logout();
    $sess->delete();

    page_close();

    //Session changed zuruecksetzen
    $timeout=(time()-(15 * 60));
    $user->set_last_action($timeout);

    $sess->start();
    $_SESSION['_language'] = $_language;
    if ($contrast) {
        $_SESSION['contrast'] = $contrast;
    }

    PageLayout::postSuccess(
        _('Sie sind nun aus dem System abgemeldet.'),
        array_filter([$GLOBALS['UNI_LOGOUT_ADD']])
    );

    // Perform logout from auth plugin (if possible)
    if ($auth_plugin instanceof StudipAuthSSO) {
        $auth_plugin->logout();
    }
} else {
    $sess->delete();
    page_close();
}

header('Location: ' . URLHelper::getURL('index.php'));
